summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Andrzej Telszewski2014-06-14 02:34:31 +0200
committer Erik Hanson2014-06-18 23:18:58 +0200
commit5b32abd27786b6a0cd4fb81b96d63e9bce4af6c9 (patch)
tree52e1758c796619de622ec48fc7777c34995fd7d4 /development
parent0b1b879c758c081d9c8b7b1bd46d080b74a04e3e (diff)
downloadslackbuilds-5b32abd27786b6a0cd4fb81b96d63e9bce4af6c9.tar.gz
development/Hex2bin: Added (HEX and S-record conversion utility).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/Hex2bin/Hex2bin.SlackBuild98
-rw-r--r--development/Hex2bin/Hex2bin.info10
-rw-r--r--development/Hex2bin/README2
-rw-r--r--development/Hex2bin/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/development/Hex2bin/Hex2bin.SlackBuild b/development/Hex2bin/Hex2bin.SlackBuild
new file mode 100644
index 0000000000..b4875deac9
--- /dev/null
+++ b/development/Hex2bin/Hex2bin.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for Hex2bin
+
+# Copyright 2014 Andrzej Telszewski, Sabadell
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Hex2bin
+VERSION=${VERSION:-1.0.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Build:
+CC=${CC:-gcc}
+echo "$CC $SLKCFLAGS -Wall hex2bin.c -o hex2bin"
+$CC $SLKCFLAGS -Wall hex2bin.c -o hex2bin
+strip --strip-unneeded hex2bin
+echo "$CC $SLKCFLAGS -Wall mot2bin.c -o mot2bin"
+$CC $SLKCFLAGS -Wall mot2bin.c -o mot2bin
+strip --strip-unneeded mot2bin
+
+# Install:
+mkdir -p $PKG/usr/bin
+cp -a hex2bin mot2bin $PKG/usr/bin
+
+gzip -k -9 hex2bin.1
+mkdir -p $PKG/usr/man/man1
+cp -a hex2bin.1.gz $PKG/usr/man/man1
+( cd $PKG/usr/man/man1; ln -s hex2bin.1.gz mot2bin.1.gz )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/Hex2bin/Hex2bin.info b/development/Hex2bin/Hex2bin.info
new file mode 100644
index 0000000000..0db380f3b4
--- /dev/null
+++ b/development/Hex2bin/Hex2bin.info
@@ -0,0 +1,10 @@
+PRGNAM="Hex2bin"
+VERSION="1.0.10"
+HOMEPAGE="http://hex2bin.sourceforge.net/"
+DOWNLOAD="http://kent.dl.sourceforge.net/project/hex2bin/hex2bin/Hex2bin-1.0.10.tar.bz2"
+MD5SUM="f252b9471e9c2521112d1ea69bbf40c2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrzej Telszewski"
+EMAIL="atelszewski@gmail.com"
diff --git a/development/Hex2bin/README b/development/Hex2bin/README
new file mode 100644
index 0000000000..8177e176f3
--- /dev/null
+++ b/development/Hex2bin/README
@@ -0,0 +1,2 @@
+Hex2bin is a tool for converting hexadecimal files
+(either Motorola or Intel format) into a binary file.
diff --git a/development/Hex2bin/slack-desc b/development/Hex2bin/slack-desc
new file mode 100644
index 0000000000..1c13f19e8c
--- /dev/null
+++ b/development/Hex2bin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Hex2bin: Hex2bin (Intel HEX and Motorola S-record conversion utility)
+Hex2bin:
+Hex2bin: Hex2bin is a tool for converting hexadecimal files
+Hex2bin: (either Motorola or Intel format) into a binary file.
+Hex2bin:
+Hex2bin:
+Hex2bin:
+Hex2bin:
+Hex2bin:
+Hex2bin: Homepage: http://hex2bin.sourceforge.net/
+Hex2bin: